﻿<?xml version="1.0" encoding="utf-8"?>
<!--
  Para obtener más información sobre cómo configurar la aplicación ASP.NET, visite
  https://go.microsoft.com/fwlink/?LinkId=169433
  -->
<configuration>
  <configSections>
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
  </configSections>
  <system.web>
    <compilation debug="true" targetFramework="4.5.2" />
    <httpRuntime targetFramework="4.5.2" />
  <pages>
      <controls>
        <add tagPrefix="ajaxToolkit" assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" />
      </controls>
    </pages></system.web>
  <system.codedom>
    <compilers>
      <compiler language="c#;cs;csharp" extension=".cs" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.CSharpCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=1.0.7.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:6 /nowarn:1659;1699;1701" />
      <compiler language="vb;vbs;visualbasic;vbscript" extension=".vb" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.VBCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=1.0.7.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:14 /nowarn:41008 /define:_MYTYPE=\&quot;Web\&quot; /optionInfer+" />
    </compilers>
  </system.codedom>
  <connectionStrings>
    <add name="Cnx" connectionString="Data Source=GATO\SERVERHOUSE;Initial Catalog=dbPI;User id=invitado;Password=123456789" />
    <add name="dbPIEntities" connectionString="metadata=res://*/Entities.Datos.csdl|res://*/Entities.Datos.ssdl|res://*/Entities.Datos.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=GATO\SERVERHOUSE;initial catalog=dbPI;integrated security=false;User id=invitado;Password=123456789;MultipleActiveResultSets=True;App=EntityFramework&quot;" providerName="System.Data.EntityClient" />
  </connectionStrings>
  <entityFramework>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.LocalDbConnectionFactory, EntityFramework">
      <parameters>
        <parameter value="mssqllocaldb" />
      </parameters>
    </defaultConnectionFactory>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
    </providers>
  </entityFramework>
<system.webServer>
    <handlers>
      <remove name="ExtensionlessUrlHandler-Integrated-4.0" />
      <remove name="OPTIONSVerbHandler" />
      <remove name="TRACEVerbHandler" />
      <add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="*" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0" />
    </handlers>
  </system.webServer><system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="wsUserSoap" />
        <binding name="wsCursosSoap" />
        <binding name="wsClasesSoap" />
        <binding name="wsDocumentosSoap" />
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="http://localhost/WebServices/wsUser.asmx"
        binding="basicHttpBinding" bindingConfiguration="wsUserSoap"
        contract="wsUser.wsUserSoap" name="wsUserSoap" />
      <endpoint address="http://localhost/WebServices/wsCursos.asmx"
        binding="basicHttpBinding" bindingConfiguration="wsCursosSoap"
        contract="wsCurso.wsCursosSoap" name="wsCursosSoap" />
      <endpoint address="http://localhost/WebServices/wsClases.asmx"
        binding="basicHttpBinding" bindingConfiguration="wsClasesSoap"
        contract="wsClases.wsClasesSoap" name="wsClasesSoap" />
      <endpoint address="http://localhost/WebServices/wsDocumentos.asmx"
        binding="basicHttpBinding" bindingConfiguration="wsDocumentosSoap"
        contract="wsDocumentos.wsDocumentosSoap" name="wsDocumentosSoap" />
    </client>
  </system.serviceModel>

  <appSettings>
    <add key="ServerUser" value="GATO"/>
    <add key="ServerPass" value="1144174272"/>
  </appSettings>
  
</configuration>